//+------------------------------------------------------------------+
//|                                                 OBJ_on_CHART.mq4 |
//|                                Copyright  2010, Anatoly Sergeev |
//|                                            mql.sergeev@yandex.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Anatoly Sergeev"
#property link      "mql.sergeev@yandex.ru"

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start(){
   string name;
   int t_f, obj_number;
   switch(Period()){
      case 1:     t_f = OBJ_PERIOD_M1;       break;
      case 5:     t_f = OBJ_PERIOD_M5;       break;
      case 15:    t_f = OBJ_PERIOD_M15;      break;
      case 30:    t_f = OBJ_PERIOD_M30;      break;
      case 60:    t_f = OBJ_PERIOD_H1;       break;
      case 240:   t_f = OBJ_PERIOD_H4;       break;
      case 1440:  t_f = OBJ_PERIOD_D1;       break;
      case 10080: t_f = OBJ_PERIOD_W1;       break;
      case 43200: t_f = OBJ_PERIOD_MN1;      break;
   }   
   while(obj_number != ObjectsTotal()){
      name = ObjectName(obj_number);            
      if(ObjectGet(name,OBJPROP_TIMEFRAMES) == 0){
         ObjectSet(name, OBJPROP_TIMEFRAMES, t_f);      
      }
      obj_number++;
   }
   Comment("\n[    ]");
   WindowRedraw();
}
//+------------------------------------------------------------------+